<p>
  All My Files
</p>
<div class="row">
  <div class="col-xs-8">
    <form (ngSubmit)="onUpload()">
      <div class="row">
        <div class="col-xs-12">
          <div class="form-group">
            <label for="filename">Choose a file to Upload</label>
            <input type="file" id="filename" (change)="fileChange($event)" name="filename" class="form-control" style="cursor: pointer;"><br>
            <button type="submit" class="btn btn-primary">Upload</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
<div id="myTable" style="position: relative; top: 20px; left: 0px;">
  <table style="border: 5px solid black;">
    <tr style="background-color: gray; font-weight: bold;">
      <th style="border: 2px solid black;">Id</th>
      <th style="border: 2px solid black;">File name</th>
      <th style="border: 2px solid black;">Date Upload</th>
      <th style="border: 2px solid black;">User</th>
      <th style="border: 2px solid black;">Delete</th>
    </tr>
    <tr *ngFor="let file of files; let i=index">
      <td style="border: 2px solid black;">{{file.id}}</td>
      <td style="border: 2px solid black;">{{file.name}}</td>
      <td style="border: 2px solid black;">{{file.created_at}}</td>
      <td style="border: 2px solid black;">{{file.user_id}}</td>
      <td style="border: 2px solid black;">
        <form (ngSubmit)="onDeleteFile(file,i)">
          <button type="submit" class="btn btn-danger">Delete</button>
        </form>
      </td>
    </tr>
  </table>
</div>

